//Image.h implementation file

#include "Image.h"

Image::Image(int width, int height) {
	a_width = width;
	a_height = height;
	a_data = new color[a_width*a_height];
}

Image::~Image() {
	delete [] a_data;
}

int Image::getWidth() {
	return a_width;
}

int Image::getHeight() {
	return a_height;
}

color Image::getPixel(int x, int y) {
	return a_data[y*a_width + x];
}

void Image::setPixel(int x, int y, int red, int green, int blue) {
	color c;
	c.red = red;
	c.green = green;
	c.blue = blue;

	a_data[y*a_width + x] = c;
}