#include "InformationPanel.h"
#include <qmessagebox.h>

InformationPanel::InformationPanel(QWidget *parent)
	: QWidget(parent)
{
	m_layout = new QGridLayout(this);

	m_sceneName = new QLabel(m_imageName, this);
	//m_sceneName->setText(*m_imageName);

	m_image = new QLabel();
	m_image->setBackgroundRole(QPalette::Dark);
	m_image->setScaledContents(true);
	QPixmap pix("Images/Compass2_nb.png");
	m_image->setPixmap(pix);

	m_layout->addWidget(m_sceneName,0,0,Qt::AlignCenter);
	m_layout->addWidget(m_image, 1, 1, Qt::AlignHCenter);
}

InformationPanel::~InformationPanel()
{

}

void InformationPanel::setImageName(QString name)
{
	m_imageName.clear();
	m_imageName.push_back(name);
}

void InformationPanel::setWindDir(QString dir)
{
	m_wind = new QString(dir);
}

void InformationPanel::setSimIter(int iter)
{
	m_iter = iter;
}