#ifndef INFORMATIONPANEL_H
#define INFORMATIONPANEL_H

#include <QtWidgets/QWidget>
#include <qgridlayout.h>
#include <qlabel.h>
#include "MyQPushButton.h"

class InformationPanel : public QWidget
{
	Q_OBJECT
public:
	InformationPanel(QWidget *parent = 0);
	~InformationPanel();
	void setImageName(QString name);
	void setWindDir(QString dir);
	void setSimIter(int iter);

signals:
	void windChanged(/*QString*/);
	void imageNameChanged();

private slots:

private:
	QGridLayout *m_layout;
	
	QLabel *m_sceneName;
	QLabel *m_image;


	QString m_imageName;
	int m_iter;
	QString *m_compassPath;
	QString *m_wind;
};

#endif