#include "MyQPushButton.h"

MyQPushButton::MyQPushButton(QWidget *parent) : 
	QToolButton(parent)
{
}

QSize MyQPushButton::minimumSizeHint() const
{
	return QSize(25,25);
}

QSize MyQPushButton::sizeHint() const
{
	return QSize(25,25);
}

void MyQPushButton::focusInEvent(QFocusEvent *event)
{
	emit getFocusIn();
	QToolButton::focusInEvent(event);
}

void MyQPushButton::focusOutEvent(QFocusEvent *event)
{
	emit getFocusOut();
	QToolButton::focusOutEvent(event);
}