#ifndef IMAGE_H
#define IMAGE_H

#include "Windows.h"

struct color {
	int red;
	int green;
	int blue;
};

class Image {
private:
	int a_width;
	int a_height;
	color *a_data;

public:
	Image(int width, int height);									//Constructor
	~Image();														//Destructor
	int getWidth();													//Get image width
	int getHeight();												//Get image height
	color getPixel(int x, int y);									//Get pixel color
	void setPixel(int x, int y, int red, int green, int blue);		//Set pixel color
};

#endif