#ifndef My_QPushButton_H
#define My_QPushButton_H

#include <qtoolbutton.h>

class MyQPushButton : public QToolButton
{
	Q_OBJECT

public:
	MyQPushButton(QWidget *parent = 0);
	QSize minimumSizeHint() const;
	QSize sizeHint() const;

signals:
	void getFocusIn();
	void getFocusOut();

protected:
	void focusInEvent(QFocusEvent *event);
	void focusOutEvent(QFocusEvent *event);
};

#endif